Subject: Re: [Diversity] What's an author? [was: Re: Policy and tools regarding the filing of Internet Drafts]

From: Abdussalam Baryun <[email-masked]>
Date: Fri, 24 Apr 2015 07:58:07 +0200

Hi Brian,

Thanks for your contribution. I support the draft, but just did not put it
on the IETF-list because one general-area-participant (which may
not understood diversity) is always writing replies to mine with no
sense or making jokes while I am trying to do serious work for ietf general
area. Are we in IETF will organised? IMHO, as a person from Africa, we need
this draft- work in the general area and to support also diversity in IETF
work (hope all authors allow diversity). IMHO, many authors have no guide
and they seem to ignore posts (and if we complain which usually does not
happen, they can say we are busy, but most don't complain because they are
more busy, but is IETF following that?) to reduce discussions so they can
get their work through quickly without real-reviews.

Suggest that we include in the draft more about diversity as an author
style/acceptance, because authoring for IETF is all about being diverse and
welcoming best ideas and amendments to the IETF work/draft.

Best Regards

AB

This message was CC to AD of General Area.

+++++++++++++++++++++++++++++++++++

On Thu, Apr 23, 2015 at 6:08 AM, Brian E Carpenter <
[email-masked]> wrote:

> To some extent this thread has been ducking the question that lies behind
> it.
> What is an author, in the IETF context? There's no short answer, so here's
> a draft of a long answer. If people think it's useful, I can author an
> I-D about it...
>
> Scope
>
> These guidelines are aimed at Internet-Drafts in the IETF publication
> stream.
> They are intended to be compatible with the RFC Editor's style guide
> (RFC7322)
> as well.
>
> Authors
>
> Authors are people who have made a substantial creative contribution to
> the document.
> Normally this means writing text or drawing diagrams. Occasionally, with
> the consent
> of the other authors, it means making some other substantial creative
> contribution to
> the document, for example by writing a software implementation as part of
> the design
> process.
>
> People who did not make any such substantial contribution must not be
> listed
> as authors. People must not be listed as authors without their explicit
> permission.
>
> The practical impact is that the authors will be listed as such on the
> front page if
> the document becomes an RFC.
>
> Contributors
>
> Contributors are people who made smaller creative contributions to the
> document
> than the authors.
>
> People who did not make any such contribution must not be listed as
> contributors.
> People must not be listed as contributors without their explicit
> permission.
>
> The dividing line between contributors and authors is matter of judgement.
> However,
> the RFC Editor's policy is to query any document that has more than five
> listed authors.
>
> Editors
>
> When a document has a large number of contributors and potential authors,
> it may
> be appropriate to designate one or two people as "Editors" and list all
> the others
> as contributors. The practical impact of this is that the editors will be
> listed
> as such on the front page if the document becomes an RFC.
>
> Acknowledgements
>
> Acknowledgements should be given to people who have made significant
> creative
> contributions smaller than those from the authors and contributors, or to
> people
> who have made useful comments, provided critical reviews, or otherwise
> contributed
> significantly to the development of the document. Acknowledgements may
> also be given
> to people or organizations that have given material support and
> assistance, but
> this should not include the authors' regular employers.
>
> An acknowledgement does not signify that the person acknowledged agrees
> with the
> document. In general, people who do not wish to be listed as an author or a
> contributor, but have in fact made a significant contribution, should be
> given
> an acknowledgement.
>
> Copyright
>
> None of the above affects copyright. Copyright in IETF documents is
> governed
> by BCP 78, the IETF Trust's Legal Provisions, and applicable national and
> international law.
>
> Regards
>   Brian
>
> On 23/04/2015 14:55, John Levine wrote:
> > In article <[email-masked]> you write:
> >> On Thu, Apr 23, 2015 at 01:58:27AM -0000, John Levine wrote:
> >>> Someone pointed out that the authors all get notices when a new draft
> >>> is posted.  That seems good enough for the rare cases of false
> >>> attribution, so "never mind".
> >>
> >> Except that the people included are thereby on the record as somehow
> >> being an author of these things, and maybe they don't want to be.  I
> >> think that's a little worrisome.
> >
> > I was assuming that aggrieved non-authors could then use out of band
> > means to ask that their unauthored drafts be unpublished.  At least
> > this lets them know about funny business.
> >
> > Sure, a sufficiently devious author could use fake addresses that he
> > controlled, but that seems a higher degree of evil than we need to
> > plan for.  Should it happen, I'm sure we'll have the tools to swat the
> > violators.
> >
> > R's,
> > John
> >
> >
>
>